Skip to main content
DELETE
/
api
/
v1
/
knowledge-bases
/
{knowledge_base_id}
/
sources
/
delete
/
{source_type}
/
{id}
Delete Knowledge Base Source
curl --request DELETE \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/knowledge-bases/{knowledge_base_id}/sources/delete/{source_type}/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "01kqh44f0kfv5zmp2t3qwd0t68",
    "name": "aut adipisci quidem",
    "texts": [],
    "urls": [],
    "files": [],
    "created_at": "2026-05-01T06:38:04+00:00",
    "updated_at": "2026-05-01T06:38:04+00:00",
    "workspace_id": "01kqh44f07zmp0d8td41by3j3c"
  }
}

Documentation Index

Fetch the complete documentation index at: https://cooloquiptyltd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

knowledge_base_id
string
required

The ID of the knowledge base.

source_type
enum<string>
required

The source to delete. One of texts, urls, or files.

Available options:
texts,
urls,
files
id
string
required

The ID of the {source type}.

Response

200 - application/json
data
object